--- /dev/null
+# Define our host system
+SET(CMAKE_SYSTEM_NAME Linux)
+SET(CMAKE_SYSTEM_VERSION 1)# Define the cross compiler locations
+SET(CMAKE_C_COMPILER /opt/cross/arm-linux-gnueabihf-4.9/bin/arm-linux-gnueabihf-gcc)
+SET(CMAKE_CXX_COMPILER /opt/cross/arm-linux-gnueabihf-4.9/bin/arm-linux-gnueabihf-g++)# Define the sysroot path for the RaspberryPi distribution in our tools folder
+SET(CMAKE_FIND_ROOT_PATH /opt/cross/arm-linux-gnueabihf-4.9/arm-linux-gnueabihf/sysroot/)# Use our definitions for compiler tools
+
+SET(CMAKE_FIND_ROOT_PATH_MODE_PROGRAM NEVER)
+# Search for libraries and headers in the target directories only
+SET(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY ONLY)
+SET(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE ONLY)
+#add_definitions(-Wall -std=c11)
+add_definitions(-Wall)
+add_definitions(-std=c++11)
+SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11" )
+
--- /dev/null
+Source: projects
+Section: main
+Priority: optional
+Maintainer: Michael Wagner <michael@wagnertech.de>
+Build-Depends: git
+
+Package: arm-linux-gnueabihf-4.9-cross
+Architecture: amd64
+Description: Cross compile for Raspberry Pi
+
--- /dev/null
+#!/bin/bash
+set -e
+
+mkdir -p $1/opt/cross/arm-linux-gnueabihf-4.9
+rsync -av --delete ../build/raspberry-tools/arm-bcm2708/arm-rpi-4.9.3-linux-gnueabihf/ $1/opt/cross/arm-linux-gnueabihf-4.9/
+cp cross/arm-linux-gnueabihf-4.9/toolset.cmake $1/opt/cross/arm-linux-gnueabihf-4.9/
+